%define major 7
%define libname %mklibname osip2_ %major
%define libname_devel %mklibname -d osip2

Summary:	Implementation of SIP - rfc2543
Name:		libosip2
Version: 	3.6.0
Release: 	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
URL: 		http://savannah.gnu.org/projects/osip/
Source0:	http://ftp.gnu.org/gnu/osip/%{name}-%{version}.tar.gz
Patch0:		libosip2-3.5.0-linkage.patch

%description
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package -n	%{libname}
Summary:	Implementation of SIP - rfc2543
Group:		System/Libraries
Obsoletes:	%{mklibname osip2} < %version
Obsoletes:	%{_lib}osip2_4 < %version

%description -n	%{libname}
This is the oSIP library. It has been designed to provide the
Internet Community a simple way to support the Session Initiation
Protocol. SIP is described in the RFC3261 which is available at
http://www.ietf.org/rfc/rfc3261.txt.

%package -n	%{libname_devel}
Summary:	Header file required to build programs using liboSIP
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Developments files for %{libname} (oSIP Library). Needed to build
apps such as linphone and siproxd.

%prep
%setup -q
%patch0 -p0 -b .link

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_mandir}/man1/osip.1 %{buildroot}%{_mandir}/man1/osip2.1

# don't ship .a, .la
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}*
%{_mandir}/man1/*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/osip2
%{_includedir}/osipparser2
%{_libdir}/pkgconfig/*.pc


%changelog

* Mon Dec 26 2011 fwang <fwang> 3.6.0-1.mga2
+ Revision: 187827
- new version 3.6.0
- new version 3.5.0

* Thu Jan 20 2011 ahmad <ahmad> 3.3.0-3.mga1
+ Revision: 26953
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libosip2

